#!/bin/bash

NAMESPACE="deepseek"
POD_NAME="ssh-pod"
LOCAL_PORT=1022
POD_PORT=22

while true; do
        echo "Starting port-forward to $POD_NAME:$POD_PORT on local port $LOCAL_PORT..."
        kubectl port-forward pod/$POD_NAME $LOCAL_PORT:$POD_PORT -n $NAMESPACE
        echo "Port-forward disconnected. Retrying in 5 seconds..."
        sleep 1
done
